Bug 965754 - Impossible to unlock all partitions in one step
Impossible to unlock all partitions in one step
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 12:25 EDT by Martin Banas
Modified: 2013-06-13 02:39 EDT (History)
9 users (show)

See Also:
Fixed In Version: python-blivet-0.15-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:39:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (19.24 KB, text/plain)
2013-05-22 03:29 EDT, Martin Banas
no flags Details
ifcfg.log (567 bytes, text/plain)
2013-05-22 03:29 EDT, Martin Banas
no flags Details
packaging.log (315.44 KB, text/plain)
2013-05-22 03:30 EDT, Martin Banas
no flags Details
program.log (29.19 KB, text/plain)
2013-05-22 03:30 EDT, Martin Banas
no flags Details
step1.png (82.07 KB, image/png)
2013-05-22 03:30 EDT, Martin Banas
no flags Details
step2.png (68.27 KB, image/png)
2013-05-22 03:30 EDT, Martin Banas
no flags Details
step3.png (78.55 KB, image/png)
2013-05-22 03:30 EDT, Martin Banas
no flags Details
step4.png (65.19 KB, image/png)
2013-05-22 03:30 EDT, Martin Banas
no flags Details
storage.log (145.95 KB, text/plain)
2013-05-22 03:30 EDT, Martin Banas
no flags Details
storage.state (20.00 KB, application/octet-stream)
2013-05-22 03:30 EDT, Martin Banas
no flags Details
syslog (110.17 KB, text/plain)
2013-05-22 03:30 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2013-05-21 12:25:44 EDT
Description of problem:
If I use only one passphrase for all partitions, I would like anaconda to allow me unlocking all partitions in one step. Currently I have to click unlock for every partition. In previous anaconda it was done by checking "this is a global passphrase", now there's no such functionality.

Version of components:
Fedora-19-Beta-RC2
anaconda-19.28
Comment 1 Brian Lane 2013-05-21 20:59:44 EDT
Can you describe your setup in more detail? Also please attach the logs from /tmp/*log as individual text/plain files.
Comment 2 Martin Banas 2013-05-22 03:29:33 EDT
Hi Brian.

I have a system with following partitioning, all partitions are native:
/boot 
/usr 
/var
/      encrypted
/home  encrypted
swap   encrypted

When I run anaconda with on system with this partitioning, for first partition (let's say / ), I'll input passphrase and hit unlock (step2.png). But even if the partitions have same passphrase, I have to click on each encrypted partition and hit unlock again. (step4.png)

In previous anaconda there was a way how to say "Use this passphrase for all partitions", and then all of them were unlocked by one click. This is what I would like to see in new anaconda too.

Attaching all the log files and screenshots.
Comment 3 Martin Banas 2013-05-22 03:29:49 EDT
Created attachment 751542 [details]
anaconda.log
Comment 4 Martin Banas 2013-05-22 03:29:59 EDT
Created attachment 751543 [details]
ifcfg.log
Comment 5 Martin Banas 2013-05-22 03:30:11 EDT
Created attachment 751544 [details]
packaging.log
Comment 6 Martin Banas 2013-05-22 03:30:17 EDT
Created attachment 751545 [details]
program.log
Comment 7 Martin Banas 2013-05-22 03:30:22 EDT
Created attachment 751546 [details]
step1.png
Comment 8 Martin Banas 2013-05-22 03:30:28 EDT
Created attachment 751547 [details]
step2.png
Comment 9 Martin Banas 2013-05-22 03:30:33 EDT
Created attachment 751548 [details]
step3.png
Comment 10 Martin Banas 2013-05-22 03:30:38 EDT
Created attachment 751549 [details]
step4.png
Comment 11 Martin Banas 2013-05-22 03:30:44 EDT
Created attachment 751550 [details]
storage.log
Comment 12 Martin Banas 2013-05-22 03:30:49 EDT
Created attachment 751551 [details]
storage.state
Comment 13 Martin Banas 2013-05-22 03:30:54 EDT
Created attachment 751552 [details]
syslog
Comment 14 David Lehman 2013-05-22 09:44:49 EDT
This should be a very simple fix. I have a patch already -- I just need to find time to test it.
Comment 15 Fedora Update System 2013-06-03 19:55:00 EDT
python-blivet-0.15-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.15-1.fc19
Comment 16 Fedora Update System 2013-06-04 22:27:22 EDT
Package python-blivet-0.15-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.15-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9977/python-blivet-0.15-1.fc19
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-06-13 02:39:54 EDT
python-blivet-0.15-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.